GetProjectSettings returns field name instead of alias for display field

2013-09-30 08:01 AM - Bernhard Ströbl

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17443

Description

this would not be a problem but GetFeatureInfo returns the display field, thus QWC cannot display any hover information

except from GetProjectSettings:

<Layer displayField="adresse" queryable="1" visible="1">

  <Name>Adressen</Name>

  ...

</Layer>

a GetFeatureInfo response on this layer shows:

<GetFeatureInfoResponse>

  <Layer name="Adressen">

    <Feature id="8052">

       <Attribute value="Vor dem Neutor 7" name="Anschrift"/>

       ...

Anschrift has been defined as alias for the field adresse so GetFeatureInfo works as it should.

Associated revisions

Revision 1f9c378c - 2014-01-07 04:48 PM - Alessandro Pasotti

Fix #8727

History

#1 - 2014-01-07 07:54 AM - Alessandro Pasotti

Hi Marco and Bernhard,

please see my PR:

https://github.com/elpaso/QGIS/commit/1f9c378c77160f64612391e4e40824b853d59ddd

https://github.com/qgis/QGIS/pull/1058

#2 - 2014-01-09 12:10 AM - Alessandro Pasotti

- Status changed from Open to Closed

Fixed in changeset commit:"1f9c378c77160f64612391e4e40824b853d59ddd".
